curl --request GET \
--url https://api.aisa.one/apis/v1/geofred/regional/data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/geofred/regional/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/geofred/regional/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/geofred/regional/data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/geofred/regional/data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/geofred/regional/data")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/geofred/regional/data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyGeoFRED Regional Data
curl --request GET \
--url https://api.aisa.one/apis/v1/geofred/regional/data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/geofred/regional/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/geofred/regional/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/geofred/regional/data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/geofred/regional/data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/geofred/regional/data")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/geofred/regional/data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyRequest contract
- Method and path: GET /apis/v1/geofred/regional/data
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/geofred/regional/data
- aggregation_method: query; optional
- date: query; required
- file_type: query; optional
- frequency: query; required
- region_type: query; required
- season: query; required
- series_group: query; required
- start_date: query; optional
- transformation: query; optional
- units: query; required
- Runtime facts: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
{
"operationId": "any_fred_apis_v1_geofred_regional_data",
"method": "GET",
"path": "/apis/v1/geofred/regional/data",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"description": "string, optional, default: avg\nOne of the following values: 'avg', 'sum', 'eop' avg = Average sum = Sum eop = End of Period\navg = Average sum = Sum eop = End of Period",
"in": "query",
"name": "aggregation_method",
"required": false,
"schema": {
"default": "avg",
"enum": [
"avg",
"sum",
"eop"
],
"type": "string"
}
},
{
"description": "The date you want to pull a series group data from.\nYYYY-MM-DD formatted string, required",
"in": "query",
"name": "date",
"required": true,
"schema": {
"format": "date",
"type": "string"
}
},
{
"description": "A key or file extension that indicates the type of file to send.\nOne of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml (xml is not available for county data). json = JavaScript Object Notation. The HTTP Content-Type is application/json.\nxml = Extensible Markup Language. The HTTP Content-Type is text/xml (xml is not available for county data). json = JavaScript Object Notation. The HTTP Content-Type is application/json.",
"in": "query",
"name": "file_type",
"required": false,
"schema": {
"default": "xml",
"enum": [
"xml",
"json"
],
"type": "string"
}
},
{
"description": "Frequency automatically assigns the default frequency of the map when using the Request Wizard above. The parameter can be used as a frequency aggregation feature. The maps frequency aggregation feature converts higher frequency data series into lower frequency data series (e.g. converts a monthly data series into an annual data series). In maps, the highest frequency data is daily, and the lowest frequency data is annual. There are 3 aggregation methods available- average, sum, and end of period. See the aggregation_method parameter.\nstring\nOne of the following values: 'd', 'w', 'bw', 'm', 'q', 'sa', 'a', 'wef', 'weth', 'wew', 'wetu', 'wem', 'wesu', 'wesa', 'bwew', 'bwem'\nFrequencies without period descriptions: d = Daily w = Weekly bw = Biweekly m = Monthly q = Quarterly sa = Semiannual a = Annual Frequencies with period descriptions: wef = Weekly, Ending Friday weth = Weekly, Ending Thursday wew = Weekly, Ending Wednesday wetu = Weekly, Ending Tuesday wem = Weekly, Ending Monday wesu = Weekly, Ending Sunday wesa = Weekly, Ending Saturday bwew = Biweekly, Ending Wednesday bwem = Biweekly, Ending Monday\nd = Daily w = Weekly bw = Biweekly m = Monthly q = Quarterly sa = Semiannual a = Annual\nwef = Weekly, Ending Friday weth = Weekly, Ending Thursday wew = Weekly, Ending Wednesday wetu = Weekly, Ending Tuesday wem = Weekly, Ending Monday wesu = Weekly, Ending Sunday wesa = Weekly, Ending Saturday bwew = Biweekly, Ending Wednesday bwem = Biweekly, Ending Monday",
"in": "query",
"name": "frequency",
"required": true,
"schema": {
"enum": [
"d",
"w",
"bw",
"m",
"q",
"sa",
"a",
"wef",
"weth",
"wew",
"wetu",
"wem",
"wesu",
"wesa",
"bwew",
"bwem"
],
"type": "string"
}
},
{
"description": "The region you want to pull data for.\nstring, required\nOne of the following values: bea msa frb necta state country county censusregion\nbea\nmsa\nfrb\nnecta\nstate\ncountry\ncounty\ncensusregion",
"in": "query",
"name": "region_type",
"required": true,
"schema": {
"enum": [
"bea",
"msa",
"frb",
"necta",
"state",
"country",
"county",
"censusregion"
],
"type": "string"
}
},
{
"description": "The seasonality of the series group.\nstring, required, five possible SA (Seasonally Adjusted), NSA (Not Seasonally Adjusted), SSA (Smoothed Seasonally Adjusted), SAAR (Seasonally Adjusted Annual Rate), or NSAAR (Not Seasonally Adjusted Annual Rate)",
"in": "query",
"name": "season",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "The ID for a group of series found in FRED.\nstring, required",
"in": "query",
"name": "series_group",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "The start date you want to request series group data from. This allows you to pull a range of data\nYYYY-MM-DD formatted string, optional",
"in": "query",
"name": "start_date",
"required": false,
"schema": {
"format": "date",
"type": "string"
}
},
{
"description": "A key that indicates a data value transformation.\nstring, optional, default: lin (No transformation)\nOne of the following values: 'lin', 'chg', 'ch1', 'pch', 'pc1', 'pca', 'cch', 'cca', 'log' lin = Levels (No transformation) chg = Change ch1 = Change from Year Ago pch = Percent Change pc1 = Percent Change from Year Ago pca = Compounded Annual Rate of Change cch = Continuously Compounded Rate of Change cca = Continuously Compounded Annual Rate of Change log = Natural Log\nlin = Levels (No transformation) chg = Change ch1 = Change from Year Ago pch = Percent Change pc1 = Percent Change from Year Ago pca = Compounded Annual Rate of Change cch = Continuously Compounded Rate of Change cca = Continuously Compounded Annual Rate of Change log = Natural Log\nFor unit transformation formulas, see: https://alfred.stlouisfed.org/help#growth_formulas",
"in": "query",
"name": "transformation",
"required": false,
"schema": {
"default": "lin",
"enum": [
"lin",
"chg",
"ch1",
"pch",
"pc1",
"pca",
"cch",
"cca",
"log"
],
"type": "string"
}
},
{
"description": "The units of the series you want to pull.\nstring, required",
"in": "query",
"name": "units",
"required": true,
"schema": {
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_pricing": "fixed_success",
"default_request_estimate_usd": 1e-05,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 1e-05
- Cost contract: fixed_success
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
string, optional, default: avg One of the following values: 'avg', 'sum', 'eop' avg = Average sum = Sum eop = End of Period avg = Average sum = Sum eop = End of Period
avg, sum, eop The date you want to pull a series group data from. YYYY-MM-DD formatted string, required
A key or file extension that indicates the type of file to send. One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml (xml is not available for county data). json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml (xml is not available for county data). json = JavaScript Object Notation. The HTTP Content-Type is application/json.
xml, json Frequency automatically assigns the default frequency of the map when using the Request Wizard above. The parameter can be used as a frequency aggregation feature. The maps frequency aggregation feature converts higher frequency data series into lower frequency data series (e.g. converts a monthly data series into an annual data series). In maps, the highest frequency data is daily, and the lowest frequency data is annual. There are 3 aggregation methods available- average, sum, and end of period. See the aggregation_method parameter. string One of the following values: 'd', 'w', 'bw', 'm', 'q', 'sa', 'a', 'wef', 'weth', 'wew', 'wetu', 'wem', 'wesu', 'wesa', 'bwew', 'bwem' Frequencies without period descriptions: d = Daily w = Weekly bw = Biweekly m = Monthly q = Quarterly sa = Semiannual a = Annual Frequencies with period descriptions: wef = Weekly, Ending Friday weth = Weekly, Ending Thursday wew = Weekly, Ending Wednesday wetu = Weekly, Ending Tuesday wem = Weekly, Ending Monday wesu = Weekly, Ending Sunday wesa = Weekly, Ending Saturday bwew = Biweekly, Ending Wednesday bwem = Biweekly, Ending Monday d = Daily w = Weekly bw = Biweekly m = Monthly q = Quarterly sa = Semiannual a = Annual wef = Weekly, Ending Friday weth = Weekly, Ending Thursday wew = Weekly, Ending Wednesday wetu = Weekly, Ending Tuesday wem = Weekly, Ending Monday wesu = Weekly, Ending Sunday wesa = Weekly, Ending Saturday bwew = Biweekly, Ending Wednesday bwem = Biweekly, Ending Monday
d, w, bw, m, q, sa, a, wef, weth, wew, wetu, wem, wesu, wesa, bwew, bwem The region you want to pull data for. string, required One of the following values: bea msa frb necta state country county censusregion bea msa frb necta state country county censusregion
bea, msa, frb, necta, state, country, county, censusregion The seasonality of the series group. string, required, five possible SA (Seasonally Adjusted), NSA (Not Seasonally Adjusted), SSA (Smoothed Seasonally Adjusted), SAAR (Seasonally Adjusted Annual Rate), or NSAAR (Not Seasonally Adjusted Annual Rate)
The ID for a group of series found in FRED. string, required
The start date you want to request series group data from. This allows you to pull a range of data YYYY-MM-DD formatted string, optional
A key that indicates a data value transformation. string, optional, default: lin (No transformation) One of the following values: 'lin', 'chg', 'ch1', 'pch', 'pc1', 'pca', 'cch', 'cca', 'log' lin = Levels (No transformation) chg = Change ch1 = Change from Year Ago pch = Percent Change pc1 = Percent Change from Year Ago pca = Compounded Annual Rate of Change cch = Continuously Compounded Rate of Change cca = Continuously Compounded Annual Rate of Change log = Natural Log lin = Levels (No transformation) chg = Change ch1 = Change from Year Ago pch = Percent Change pc1 = Percent Change from Year Ago pca = Compounded Annual Rate of Change cch = Continuously Compounded Rate of Change cca = Continuously Compounded Annual Rate of Change log = Natural Log For unit transformation formulas, see: https://alfred.stlouisfed.org/help#growth_formulas
lin, chg, ch1, pch, pc1, pca, cch, cca, log The units of the series you want to pull. string, required
Response
Successful response